<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) PHP-Fusion Inc
| https://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_field_photos_include.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined('IN_FUSION') || exit;

$maxbyte = 15728640;
$maxheight = 2600;
$maxwidth = 2800;

// Display user field input
if ($profile_method == "input") {
    $user_fields = form_hidden('user_field_photos', '', $field_value);
    if (defined('ADMIN_PANEL')) {
        $user_fields = "<div class='well m-t-5 text-center'>".$locale['uf_fieldphotos']."</div>";
    }

// Display in profile
} elseif ($profile_method == "display") {
    $delkedvenckep = post("del_fieldphotos", FILTER_DEFAULT);
    $lookup = get("lookup", FILTER_VALIDATE_INT);
    $userid = fusion_get_userdata('user_id');

    $selected = (iMEMBER && $userid === $lookup ? TRUE : FALSE);

    if ($delkedvenckep) {
        if (file_exists(IMAGES."field_photos/".$field_value)) {
            unlink(IMAGES."field_photos/".$field_value);
        }
        $field_value = '';
        dbquery("UPDATE ".DB_USERS." SET user_field_photos = '' WHERE user_id = '".$userid."'");
    }

    if (!empty($_FILES['user_field_photos']) && is_uploaded_file($_FILES['user_field_photos']['tmp_name'])) {
        $upload = form_sanitizer($_FILES['user_field_photos'], '', 'user_field_photos');
        if (isset($upload['error']) && !$upload['error']) {
            $field_value = $upload['image_name'];
            dbquery("UPDATE ".DB_USERS." SET user_field_photos = '".$field_value."' WHERE user_id = '".$userid."'");
        }
    }

    $options = [
        'upload_path' => IMAGES.'field_photos/',
        'input_id'    => 'user_fieldphotos',
        'inline'      => TRUE,
        'type'        => 'image',
        'max_byte'    => $maxbyte,
        'max_height'  => $maxheight,
        'max_width'   => $maxwidth,
        'width'       => '100%',
        'class'       => 'm-t-10 m-b-0',
        'error_text'  => $locale['uf_fieldphotos_error'],
        'template'    => 'thumbnail',
        'ext_tip'     => sprintf($locale['uf_fieldphotos_ext'], parsebytesize($maxbyte), $maxwidth, $maxheight)
    ] + $options;

    if ($selected) {
        $action_url = FUSION_SELF.(FUSION_QUERY ? "?".FUSION_QUERY : "");
        $user_fields = [
            'title' => $locale['uf_fieldphotos'],
            'value' => openform('sendfieldphotos_form', 'post', $action_url, ['enctype' => TRUE]).
                form_fileinput('user_field_photos', '', $field_value, $options).
                ($field_value ? form_checkbox('del_fieldphotos', $locale['delete'], '', ['reverse_label' => TRUE]) : '').
                form_button('send_fieldphotos', $locale['uf_fieldphotos_button'], 'sendfieldphotos').
                closeform()
        ];
    } else {
        $kimage = file_exists(IMAGES.'field_photos/'.$field_value) && !empty($field_value) ? IMAGES.'field_photos/'.$field_value : '';
        $user_fields = [
            'title' => $locale['uf_fieldphotos'],
            'value' => !empty($field_value) ? "<img class='img-thumbnail rounded mx-auto d-block' src=".$kimage.">" : ''
        ];
    }
}
